# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(CMAKE_COMMAND) -E cmake_progress_start /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/CMakeFiles /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/client/tarancheck/CMakeFiles/progress.marks
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 client/tarancheck/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 client/tarancheck/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 client/tarancheck/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 client/tarancheck/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
client/tarancheck/CMakeFiles/tarancheck.dir/rule:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f CMakeFiles/Makefile2 client/tarancheck/CMakeFiles/tarancheck.dir/rule
.PHONY : client/tarancheck/CMakeFiles/tarancheck.dir/rule

# Convenience name for target.
tarancheck: client/tarancheck/CMakeFiles/tarancheck.dir/rule
.PHONY : tarancheck

# fast build rule for target.
tarancheck/fast:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/build
.PHONY : tarancheck/fast

__/__/cfg/prscfg.o: __/__/cfg/prscfg.c.o
.PHONY : __/__/cfg/prscfg.o

# target to build an object file
__/__/cfg/prscfg.c.o:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/__/__/cfg/prscfg.c.o
.PHONY : __/__/cfg/prscfg.c.o

__/__/cfg/prscfg.i: __/__/cfg/prscfg.c.i
.PHONY : __/__/cfg/prscfg.i

# target to preprocess a source file
__/__/cfg/prscfg.c.i:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/__/__/cfg/prscfg.c.i
.PHONY : __/__/cfg/prscfg.c.i

__/__/cfg/prscfg.s: __/__/cfg/prscfg.c.s
.PHONY : __/__/cfg/prscfg.s

# target to generate assembly for a file
__/__/cfg/prscfg.c.s:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/__/__/cfg/prscfg.c.s
.PHONY : __/__/cfg/prscfg.c.s

__/__/cfg/tarantool_box_cfg.o: __/__/cfg/tarantool_box_cfg.c.o
.PHONY : __/__/cfg/tarantool_box_cfg.o

# target to build an object file
__/__/cfg/tarantool_box_cfg.c.o:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/__/__/cfg/tarantool_box_cfg.c.o
.PHONY : __/__/cfg/tarantool_box_cfg.c.o

__/__/cfg/tarantool_box_cfg.i: __/__/cfg/tarantool_box_cfg.c.i
.PHONY : __/__/cfg/tarantool_box_cfg.i

# target to preprocess a source file
__/__/cfg/tarantool_box_cfg.c.i:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/__/__/cfg/tarantool_box_cfg.c.i
.PHONY : __/__/cfg/tarantool_box_cfg.c.i

__/__/cfg/tarantool_box_cfg.s: __/__/cfg/tarantool_box_cfg.c.s
.PHONY : __/__/cfg/tarantool_box_cfg.s

# target to generate assembly for a file
__/__/cfg/tarantool_box_cfg.c.s:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/__/__/cfg/tarantool_box_cfg.c.s
.PHONY : __/__/cfg/tarantool_box_cfg.c.s

__/__/third_party/PMurHash.o: __/__/third_party/PMurHash.c.o
.PHONY : __/__/third_party/PMurHash.o

# target to build an object file
__/__/third_party/PMurHash.c.o:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/__/__/third_party/PMurHash.c.o
.PHONY : __/__/third_party/PMurHash.c.o

__/__/third_party/PMurHash.i: __/__/third_party/PMurHash.c.i
.PHONY : __/__/third_party/PMurHash.i

# target to preprocess a source file
__/__/third_party/PMurHash.c.i:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/__/__/third_party/PMurHash.c.i
.PHONY : __/__/third_party/PMurHash.c.i

__/__/third_party/PMurHash.s: __/__/third_party/PMurHash.c.s
.PHONY : __/__/third_party/PMurHash.s

# target to generate assembly for a file
__/__/third_party/PMurHash.c.s:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/__/__/third_party/PMurHash.c.s
.PHONY : __/__/third_party/PMurHash.c.s

tc_config.o: tc_config.c.o
.PHONY : tc_config.o

# target to build an object file
tc_config.c.o:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/tc_config.c.o
.PHONY : tc_config.c.o

tc_config.i: tc_config.c.i
.PHONY : tc_config.i

# target to preprocess a source file
tc_config.c.i:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/tc_config.c.i
.PHONY : tc_config.c.i

tc_config.s: tc_config.c.s
.PHONY : tc_config.s

# target to generate assembly for a file
tc_config.c.s:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/tc_config.c.s
.PHONY : tc_config.c.s

tc_file.o: tc_file.c.o
.PHONY : tc_file.o

# target to build an object file
tc_file.c.o:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/tc_file.c.o
.PHONY : tc_file.c.o

tc_file.i: tc_file.c.i
.PHONY : tc_file.i

# target to preprocess a source file
tc_file.c.i:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/tc_file.c.i
.PHONY : tc_file.c.i

tc_file.s: tc_file.c.s
.PHONY : tc_file.s

# target to generate assembly for a file
tc_file.c.s:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/tc_file.c.s
.PHONY : tc_file.c.s

tc_generate.o: tc_generate.c.o
.PHONY : tc_generate.o

# target to build an object file
tc_generate.c.o:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/tc_generate.c.o
.PHONY : tc_generate.c.o

tc_generate.i: tc_generate.c.i
.PHONY : tc_generate.i

# target to preprocess a source file
tc_generate.c.i:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/tc_generate.c.i
.PHONY : tc_generate.c.i

tc_generate.s: tc_generate.c.s
.PHONY : tc_generate.s

# target to generate assembly for a file
tc_generate.c.s:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/tc_generate.c.s
.PHONY : tc_generate.c.s

tc_main.o: tc_main.c.o
.PHONY : tc_main.o

# target to build an object file
tc_main.c.o:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/tc_main.c.o
.PHONY : tc_main.c.o

tc_main.i: tc_main.c.i
.PHONY : tc_main.i

# target to preprocess a source file
tc_main.c.i:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/tc_main.c.i
.PHONY : tc_main.c.i

tc_main.s: tc_main.c.s
.PHONY : tc_main.s

# target to generate assembly for a file
tc_main.c.s:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/tc_main.c.s
.PHONY : tc_main.c.s

tc_options.o: tc_options.c.o
.PHONY : tc_options.o

# target to build an object file
tc_options.c.o:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/tc_options.c.o
.PHONY : tc_options.c.o

tc_options.i: tc_options.c.i
.PHONY : tc_options.i

# target to preprocess a source file
tc_options.c.i:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/tc_options.c.i
.PHONY : tc_options.c.i

tc_options.s: tc_options.c.s
.PHONY : tc_options.s

# target to generate assembly for a file
tc_options.c.s:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/tc_options.c.s
.PHONY : tc_options.c.s

tc_space.o: tc_space.c.o
.PHONY : tc_space.o

# target to build an object file
tc_space.c.o:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/tc_space.c.o
.PHONY : tc_space.c.o

tc_space.i: tc_space.c.i
.PHONY : tc_space.i

# target to preprocess a source file
tc_space.c.i:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/tc_space.c.i
.PHONY : tc_space.c.i

tc_space.s: tc_space.c.s
.PHONY : tc_space.s

# target to generate assembly for a file
tc_space.c.s:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/tc_space.c.s
.PHONY : tc_space.c.s

tc_verify.o: tc_verify.c.o
.PHONY : tc_verify.o

# target to build an object file
tc_verify.c.o:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/tc_verify.c.o
.PHONY : tc_verify.c.o

tc_verify.i: tc_verify.c.i
.PHONY : tc_verify.i

# target to preprocess a source file
tc_verify.c.i:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/tc_verify.c.i
.PHONY : tc_verify.c.i

tc_verify.s: tc_verify.c.s
.PHONY : tc_verify.s

# target to generate assembly for a file
tc_verify.c.s:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(MAKE) -f client/tarancheck/CMakeFiles/tarancheck.dir/build.make client/tarancheck/CMakeFiles/tarancheck.dir/tc_verify.c.s
.PHONY : tc_verify.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
	@echo "... tarancheck"
	@echo "... __/__/cfg/prscfg.o"
	@echo "... __/__/cfg/prscfg.i"
	@echo "... __/__/cfg/prscfg.s"
	@echo "... __/__/cfg/tarantool_box_cfg.o"
	@echo "... __/__/cfg/tarantool_box_cfg.i"
	@echo "... __/__/cfg/tarantool_box_cfg.s"
	@echo "... __/__/third_party/PMurHash.o"
	@echo "... __/__/third_party/PMurHash.i"
	@echo "... __/__/third_party/PMurHash.s"
	@echo "... tc_config.o"
	@echo "... tc_config.i"
	@echo "... tc_config.s"
	@echo "... tc_file.o"
	@echo "... tc_file.i"
	@echo "... tc_file.s"
	@echo "... tc_generate.o"
	@echo "... tc_generate.i"
	@echo "... tc_generate.s"
	@echo "... tc_main.o"
	@echo "... tc_main.i"
	@echo "... tc_main.s"
	@echo "... tc_options.o"
	@echo "... tc_options.i"
	@echo "... tc_options.s"
	@echo "... tc_space.o"
	@echo "... tc_space.i"
	@echo "... tc_space.s"
	@echo "... tc_verify.o"
	@echo "... tc_verify.i"
	@echo "... tc_verify.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/unera/work/deb/tarantool/tarantool-1.5.1.82.ga064ebe && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

